#include<iostream>
using namespace std;

int niz[1000000];
int N;
int Max;
int i, j;
main(){
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	cerr.tie(nullptr);
	
	cin >> N;
	for (i = 0; i < N; i++) cin >> niz[i];
	
	

		for (i = 0; i < N; i++) if (niz[i] != 9){
			Max = i;
			for (j = i+1; j < N; j++) if (niz[j] >= niz[Max]) Max = j;
			if (niz[Max] != niz[i]){
				swap(niz[Max],niz[i]);
				N = N-1;
				for (i = 0; i < N; i++) cout << niz[i] << ' ';
				cout << niz[i];
				return 0;
			}
		}
	swap(niz[N-1],niz[N-2]);
	N = N-1;
	for (i = 0; i < N; i++) cout << niz[i] << ' ';
	cout << niz[i];
	return 0;
}